// Fonts

$font-family-base : "Roboto", sans-serif !default;
$font-family-icon : "nucleo" !default;

$font-weight-light : 300 !default;
$font-weight-normal : 400 !default;
$font-weight-semibold : 500 !default;
$font-weight-bold : 700 !default;
$font-weight-black : 900 !default;
$font-weight-base : $font-weight-normal !default;

$font-size-base : 1rem !default;
$font-size-lg : ($font-size-base * 1.25) !default;
$font-size-md : ($font-size-base * .9375) !default;
$font-size-sm : ($font-size-base * .875) !default;
$font-size-xs : ($font-size-base * .75) !default;

$h1-font-size : 1.75rem !default;
$h2-font-size : 1.525rem !default;
$h3-font-size : 1.375rem !default;
$h4-font-size : 1.25rem !default;
$h5-font-size : 1.125rem !default;
$h6-font-size : 1rem !default;

$display1-size : 3.5rem !default;
$display2-size : 3.25rem !default;
$display3-size : 2.825rem !default;
$display4-size : 2.5rem !default;
$display5-size : 2.25rem !default;
$display6-size : 1.925rem !default;

// Colors
$white : #fff !default;
$black : #000 !default;
$blue : #2575dc !default;
$purple : #5d54e4 !default;
$red : #e45454 !default;
$orange : #fb9c5d !default;
$green : #7fad4a !default;
$gray : #67646b !default;

$primary : $blue !default;
$danger : $red !default;
$warning : $orange !default;
$secondary : $gray !default;
$light : #ebeaec !default;
$dark : #2a2b2d !default;
$info : #52baff !default;

// stylelint-disable-next-line scss/dollar-variable-default
$theme-colors : (
        "purple": $purple
);

// Social colors
// stylelint-disable-next-line scss/dollar-variable-default
$social-colors : (
        "facebook": #3b5999,
        "twitter": #55acee,
        "linkedin": #0077b5,
        "skype": #00aff0,
        "vk": #4c75a3,
        "vimeo": #1ab7ea,
        "google-plus": #dd4b39,
        "youtube": #cd201f,
        "reddit": #ff5700,
        "pinterest": #bd081c,
        "instagram": #3f729b,
        "dribbble": #ea4c89,
        "twitch": #6441a5,
        "steam": #111,
        "discord": #7289da,
        "paypal": #00588b,
        "wordpress": #0087be,
        "drupal": #0077c0,
        "joomla": #5091cd,
        "tumblr": #34526f,
        "github": #333,
        "soundcloud": #f50,
        "spotify": #1db954,
        "slack": #e01563,
        "windows": #00bcf2,
        "linux": #1793d1,
        "ps4": $blue,
        "xbox": $green
);

$yiq-contrasted-threshold : 200 !default;
$yiq-text-dark : #757373 !default;

// Link
$link-color : inherit !default;
$link-hover-color : darken($primary, 5%) !default;
$link-hover-decoration : none !default;

// Dropdown
$dropdown-border-color : rgba(27, 31, 35, .1) !default;
$dropdown-link-color : #414242 !default;
$dropdown-min-width : 180px !default;
$dropdown-item-padding-x : 15px !default;
$zindex-dropdown : 7 !default;

// Heading
$headings-color : #505050 !default;
$headings-font-weight : $font-weight-semibold !default;

// Lead
$lead-font-size : 18px !default;
$lead-font-weight : 400 !default;

// Body
$body-bg : #fafafa !default;
$body-color : #59595f !default;
$box-shadow : 0 2px 0 0 rgba($black, .05) !default;

// Navbar
$navbar-dark-color : rgba($white, .8) !default;
$navbar-dark-hover-color : $white !default;
$navbar-dark-active-color : $navbar-dark-hover-color !default;
$navbar-dark-toggler-border-color : transparent !default;
$navbar-nav-link-padding-x : 10px !default;
$nav-link-padding-y : .625rem !default;
$navbar-brand-font-size : 1.25rem !default;
$navbar-padding-fixed : 60px !default;
$navbar-xs-height : 52px !default;

// Avatar
$avatar-radius : 4px !default;
$avatar-size : 6.25rem !default;
$avatar-size-xl : 12.5rem !default;
$avatar-size-lg : 9.375rem !default;
$avatar-size-md : 4.0625rem !default;
$avatar-size-sm : 3.125rem !default;
$avatar-size-xs : 2.5rem !default;
$avatar-size-stack : 30px !default;

// Image thumbnails
$thumbnail-bg : $white !default;
$thumbnail-border-color : rgba($black, .15) !default;
$thumbnail-padding : 5px !default;
$thumbnail-transition : all .15s ease-in-out !default;

// Buttons
$btn-padding-y : 6px !default;
$btn-padding-x : 12px !default;
$btn-padding-y-lg : 10px !default;
$btn-padding-x-lg : 20px !default;
$btn-padding-y-sm : $btn-padding-y !default;
$btn-padding-x-sm : $btn-padding-x !default;
$btn-padding-y-xs : 3px !default;
$btn-padding-x-xs : 8px !default;
$btn-padding-icon : 11px !default;
$btn-padding-wide : 30px !default;
$btn-font-size-xs : .875rem !default;
$btn-font-size-lg : 16px !default;
$btn-font-weight : $font-weight-normal !default;
$btn-shadow : 0 1px 2px 0 rgba($black, .2) !default;
$btn-focus-width : 0 !default;
$btn-icon-margin : 5px !default;

$btn-rounded : 12px 25px !default;
$btn-rounded-xs : 8px 20px !default;
$btn-rounded-sm : 10px 25px !default;
$btn-rounded-lg : 14px 27px !default;

$btn-outline-color : darken($primary, 5%) !default;
$btn-outline-bg : $body-bg !default;
$btn-outline-border : rgba($black, .15) !default;

$btn-outline-light-color : $white !default;
$btn-outline-light-bg : transparent !default;
$btn-outline-light-border : rgba($white, .2) !default;

$btn-light-color : #67646b !default;
$btn-light-border : #d4d4d4 !default;
$btn-light-bg : $white !default;

$btn-default-color : #565458 !default;
$btn-default-border : #d4d4d4 !default;
$btn-default-bg : $body-bg !default;

// Forms
$input-border-color : #d9d8de !default;
$input-btn-focus-color : lighten($primary, 40%) !default;
$input-group-addon-bg : #f7f7f7 !default;
$input-group-addon-color : #5d5d5d !default;
$input-disabled-bg : darken($body-bg, 1%) !default;
$input-color : #55585d !default;

$form-text-margin-top : .725rem !default;
$form-group-margin-bottom : 1.5rem !default;

$custom-control-indicator-bg : #dadada !default;
$custom-control-gutter : 1.875rem !default;

// Alerts
$alert-bg-level : -10 !default;
$alert-border-level : -7 !default;
$alert-color-level : 5 !default;
$alert-link-font-weight : 500 !default;
$alert-padding-y : .7rem !default;

$alert-darken-bg-level : -1 !default;
$alert-darken-border-level : -1 !default;
$alert-darken-color-level : -12.5 !default;

$alert-light-color : $body-color !default;
$alert-light-border : rgba($black, .15) !default;
$alert-light-bg : $white !default;

$alert-dark-color : rgba($dark, .85) !default;
$alert-dark-border : rgba($dark, .15) !default;
$alert-dark-bg : rgba($dark, .15) !default;

$alert-secondary-color : $body-color !default;
$alert-secondary-border : rgba($black, .15) !default;
$alert-secondary-bg : $body-bg !default;

// Lightbox
$lightbox-bg : rgba(37, 37, 37, .8) !default;

// Progress
$progress-height : 10px !default;
$progress-bg : #e6e6e6 !default;

// Text color
$text-dark : #434548 !default;
$text-light : rgba($white, .7) !default;
$text-lighten : #929498 !default;
$text-muted : rgba($black, .58) !default;
$mark-color : #56523c !default;
$code-color : $primary !default;

// List groups
$list-group-border-color : rgba($black, .08) !default;
$list-group-active-color : darken($body-color, 7%) !default;
$list-group-active-bg : #fafafa !default;
$list-group-active-border-color : rgba($black, .05) !default;
$list-group-item-padding-y : 10px !default;
$list-group-item-padding-x : 15px !default;
$list-group-item-lg-padding-y : 15px !default;

// Promo
$promo-padding : 1.875rem !default;

// Badges
$badge-font-size : 70% !default;
$badge-padding-y : 10px !default;
$badge-padding-x : 10px !default;
$badge-pill-padding-x : 15px !default;

$hr-border-color : rgba($black, .08) !default;

// Card
$card-spacer-x : 15px !default;
$card-spacer-img : 10px !default;
$card-cap-bg : #fdfdfd !default;
$card-box-shadow : 0 2px 0 0 rgba($black, .05) !default;
$card-margin : 35px !default;

// Tooltips
$tooltip-bg : darken($gray, 20%) !default;
$tooltip-opacity : 1 !default;

// Table
$table-striped-order : even !default;
$table-hover-bg : darken($body-bg, 3%) !default;
$table-accent-bg : darken($body-bg, 2.5%) !default;

// Popover
$popover-border-color : lighten($dark, 65%) !default;

// Owl carousel
$dot-width : 16px !default;
$dot-height : 16px !default;
$dot-rounded : 30px !default;
$dot-margin : 5px 3px !default;
$dot-background : rgba($black, .15) !default;
$dot-background-active : rgba($black, .5) !default;

// Modal
$modal-sm : 380px !default;

// Pagination
$pagination-focus-box-shadow : none !default;
$pagination-hover-color : inherit !default;
$pagination-hover-bg : rgba($black, .05) !default;
$pagination-disabled-border-color : #d5d9de !default;
$pagination-border-color : #d5d9de !default;
$pagination-hover-border-color : #d5d9de !default;

// Breadcrumb
$breadcrumb-bg : transparent !default;
$breadcrumb-margin-bottom : 0 !default;
$breadcrumb-padding-x : 0 !default;
$breadcrumb-item-padding : 5px !default;
$breadcrumb-item-color : #616161 !default;
$breadcrumb-content-size : 11px !default;

// Embed
$embed-icon-width : 5.625rem !default;
$embed-icon-height : $embed-icon-width !default;
$embed-icon-bg : $white !default;
$embed-icon-color : darken($gray, 20%) !default;

// Icon
$icon-width : 64px !default;
$icon-height : $icon-width !default;
$icon-line-height : 58px !default;
$icon-font-size : 1.75rem !default;

// Row
$row-padding-xs : .1875rem !default;
$row-padding-sm : .3125rem !default;
$row-padding-md : .625rem !default;

// Spacing
$spacer : 1rem !default;
// stylelint-disable-next-line scss/dollar-variable-default
$spacers : (
        6: ($spacer * 3.75),
        7: ($spacer * 5),
        8: ($spacer * 7)
);

// Animation delay
$animation-delay : () !default;
// stylelint-disable-next-line scss/dollar-variable-default
$animation-delay : map-merge(
                (
                        1: .2s,
                        2: .4s,
                        3: .6s,
                        4: .8s,
                        5: 1s,
                        6: 1.2s,
                        7: 1.4s,
                        8: 1.6s,
                        9: 1.8s,
                        10: 2s,
                ),
                $animation-delay
);
